import Topic from './Topic';
import NoteModel from './model/NoteModel';
import FeatureModel from './model/FeatureModel';
import ImageIcon from './ImageIcon';
declare class NoteIcon extends ImageIcon {
    private _linksModel;
    private _topic;
    private _readOnly;
    constructor(topic: Topic, noteModel: NoteModel, readOnly: boolean);
    private _registerEvents;
    getModel(): FeatureModel;
    static IMAGE_URL: any;
}
export default NoteIcon;
